
local doNotRun = false
local function InterfaceOptionsFrame_OpenToCategory_Fix(panel)
	if InCombatLockdown() then return end
	if doNotRun then
		doNotRun = false
		return
	end
	local cat = _G['INTERFACEOPTIONS_ADDONCATEGORIES']
	local panelName;
	if ( type(panel) == "string" ) then
		for i, p in pairs(cat) do
			if p.name == panel then
				panelName =  p.parent or panel
				break
			end
		end
	else
		for i, p in pairs(cat) do
			if p == panel then
				panelName =  p.parent or panel.name
				break
			end
		end
	end
	if not panelName then return end -- if its not part of our list return early
	local noncollapsedHeaders = {}
	local shownpanels = 0
	local mypanel 
	for i, panel in ipairs(cat) do
		if not panel.parent or noncollapsedHeaders[panel.parent] then
			if not panel.collapsed then
				noncollapsedHeaders[panel.name] = true
			end
			if panel.name == panelName then
				mypanel = shownpanels + 1
			end
			shownpanels = shownpanels + 1
		end
	end
	local Smin, Smax = InterfaceOptionsFrameAddOnsListScrollBar:GetMinMaxValues()
	InterfaceOptionsFrameAddOnsListScrollBar:SetValue((Smax/(shownpanels-15))*(mypanel-2))
	doNotRun = true
	InterfaceOptionsFrame_OpenToCategory(panel)
end

hooksecurefunc("InterfaceOptionsFrame_OpenToCategory", InterfaceOptionsFrame_OpenToCategory_Fix)
